----------------------------------------------
-- NeptuneBox.lua
-- by Lygin Gennady a.k.a. Croc 11.01.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()

local newwidth, newheight
local gn=42
local gg=gn-1
local NeptuneFrameWidth, NeptuneFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
NeptuneBox = CXBox:new()  
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

NeptuneButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ne"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(NeptuneBox,0,0,0,0) 

NeptuneCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(NeptuneBox, 20, 0, 0, 0)

NeptuneBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    NeptuneButton.Visible = GuidesVisibility -- display or undisplay Button
    NeptuneCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if NeptuneCheck.Text ==  "o" then
		NeptuneFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

NeptuneButton.Action = (function()
        return
            function()
              display_Neptune = not display_Neptune
                if display_Neptune then  
                    NeptuneFrame.Visible = true                     
                    NeptuneCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    NeptuneFrame.Visible = false                   
                    NeptuneCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
------------------------------------
NeptuneFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-NeptuneFrameWidth)/2, height-NeptuneFrameHeight-2, (width-NeptuneFrameWidth)/2, 2)

 NeptuneFrame.Customdraw = function(this) 

            if  Neptune_firstTickDone then
            if not(NeptuneCloseButtonDone) then
                NeptuneCloseButtonDone = true
                makeCloseButton(NeptuneCloseButton, NeptuneFrame, NeptuneButton)
            end
            else
                Neptune_firstTickDone = true            
            end    

            if newwidth ~= width or newheight ~= height then
               newwidth, newheight = width, height               
               if height>=768  then
                  NeptuneFrame:attach(screenBox, width-NeptuneFrameWidth-36, height-NeptuneFrameHeight-128-27, 36, 128+27)
               else
                  NeptuneFrame:attach(screenBox, width-NeptuneFrameWidth-200, height-NeptuneFrameHeight-3, 200, 3) 
              end
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1}) 
	    textlayout:setpos(this.lb+5, this.tb - 14)       
            textlayout:println(_("NEPTUNE. Dwarf Planets:"))
end
--===============
-- Подключение команд 
--===============
Neptune101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 2, 2+14*(gg-1), 60, 5+14*1)
-------------------------------------
Neptune102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("NEPTUNE.1846"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame,  2, 2+14*(gg-2), 60, 5+14*2)

Neptune102Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Neptune")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune/2018-09-02T12:33:20.43498?x=0JRQZsCUxf7//////////w&y=6PVRg4ePu////////////w&z=IGTkMyPt5Pz//////////w&ow=0.178526&ox=0.147134&oy=0.97048&oz=-0.0681759&track=Sol:Neptune&select=Sol:Neptune&fov=40&ts=250&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)		
            celestia:settimescale(1000)
            radians = math.rad(40)
            obs:setfov(radians)
            end
        end
    end) ()
-------------------------------------
Neptune103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(7, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-3), 60, 5+14*3)
--------------------------------------
Neptune104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Galatea.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-4), 60, 5+14*4)

Neptune104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Galatea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Galatea/2018-09-16T12:11:38.21878?x=IJs0vo5r/f///////////w&y=HstXtvkn&z=4EJBlWqX/f///////////w&ow=0.396554&ox=0.154267&oy=0.903924&oz=-0.0432283&track=Sol:Neptune:Galatea&select=Sol:Neptune:Galatea&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) () 
--------------------------------------
Neptune105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Halimede.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-5), 60, 5+14*5)

Neptune105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Halimede")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Halimede/2018-09-03T01:58:03.12903?x=IHeHn03q/////////////w&y=C2JDwl76&z=htaqBqiQ/////////////w&ow=0.140902&ox=0.145823&oy=0.825394&oz=0.526885&track=Sol:Neptune:Halimede&select=Sol:Neptune:Halimede&fov=40&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) () 
--------------------------------------
Neptune106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Despina.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-6), 60, 5+14*6)

Neptune106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Despina")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Despina/2018-09-03T08:17:34.83662?x=JYoQTeM+&y=RrRXYuso/f///////////w&z=WnVSstNCAQ&ow=0.825223&ox=-0.527134&oy=-0.140924&oz=0.145866&track=Sol:Neptune:Despina&select=Sol:Neptune:Despina&fov=40&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) ()
--------------------------------------
Neptune107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Laomedeia.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-7), 60, 5+14*7)

Neptune107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Laomedeia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Laomedeia/2018-09-03T15:05:08.11971?x=hqb8Voxj/////////////w&y=8RFfUYU/&z=RIY19npO&ow=0.759495&ox=-0.0340299&oy=0.536752&oz=0.365933&track=Sol:Neptune:Laomedeia&select=Sol:Neptune:Laomedeia&fov=40&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) () 
-------------------------------------
Neptune108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Larissa.1981"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-8), 60, 5+14*8)

Neptune108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Larissa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Larissa/2018-08-30T03:09:41.54547?x=UPkp++li/P///////////w&y=KiAp+6sQ&z=C/zZYxsJ/////////////w&ow=0.60916&ox=0.0096643&oy=0.79298&oz=0.00355341&track=Sol:Neptune:Larissa&select=Sol:Neptune:Larissa&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) () 
-------------------------------------
Neptune109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Naiad.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-9), 60, 5+14*9)

Neptune109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Naiad")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Naiad/2018-08-30T10:36:28.89123?x=2sQRhn65/v///////////w&y=ZpjmyqAd&z=YzMtRWUPAQ&ow=0.890111&ox=-0.0384739&oy=0.423892&oz=0.162903&track=Sol:Neptune:Naiad&select=Sol:Neptune:Naiad&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) () 
--------------------------------------
Neptune110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Nereid.1949"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-10), 60, 5+14*10)

Neptune110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Nereid")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Nereid/2018-08-30T17:28:51.51836?x=lBQQKxvW/v///////////w&y=0ldzxlqM/////////////w&z=H9ZxqxbBBQ&ow=0.983805&ox=-0.0525752&oy=0.0927399&oz=0.144094&track=Sol:Neptune:Nereid&select=Sol:Neptune:Nereid&fov=36.4986&ts=800&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) ()  
-------------------------------------
Neptune111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Neso.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-11), 60, 5+14*11)

Neptune111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Neso")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Neso/2018-08-31T05:11:54.53486?x=ILJN/PH2&y=BTT5nbti&z=gl6CBMP6/////////////w&ow=0.672858&ox=0.0715835&oy=-0.710438&oz=-0.193431&track=Sol:Neptune:Neso&select=Sol:Neptune:Neso&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) ()
-------------------------------------
Neptune112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Proteus.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-12), 60, 5+14*12)

Neptune112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Proteus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Proteus/2018-08-30T03:39:07.08403?x=Yi6uTba0+P///////////w&y=Wq1o7aMh&z=JWCAYJUN/v///////////w&ow=0.609148&ox=0.00966238&oy=0.79299&oz=0.00355108&track=Sol:Neptune:Proteus&select=Sol:Neptune:Proteus&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) ()  
-------------------------------------
Neptune113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Psamathe.03"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-13), 60, 5+14*13)

Neptune113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Psamathe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Psamathe/2018-08-30T19:55:40.42516?x=l2+CHn/d/////////////w&y=tlcayNeL&z=7WaYFGFX&ow=0.689821&ox=0.305244&oy=0.384047&oz=0.532429&track=Sol:Neptune:Psamathe&select=Sol:Neptune:Psamathe&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) ()  
--------------------------------------
Neptune114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sao.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-14), 60, 5+14*14)

Neptune114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Sao")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Sao/2018-08-31T02:48:40.86854?x=1vJ2LX4t&y=xf/rUFaW/////////////w&z=WsIEw3Zi/////////////w&ow=0.179216&ox=-0.19769&oy=-0.9299&oz=0.253151&track=Sol:Neptune:Sao&select=Sol:Neptune:Sao&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) () 
-------------------------------------
Neptune115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thalassa.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-15), 60, 5+14*15)

Neptune115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Thalassa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Thalassa/2018-08-31T13:37:09.21336?x=Nb45uvq4/////////////w&y=Xizxj2BG/////////////w&z=cXDlyZuzAQ&ow=0.963632&ox=-0.208211&oy=0.0419194&oz=0.162189&track=Sol:Neptune:Thalassa&select=Sol:Neptune:Thalassa&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) () 
-------------------------------------
Neptune116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Triton.1846"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-16), 60, 5+14*16)

Neptune116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Triton")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Triton/2018-09-01T07:09:34.00061?x=P57OBTlCHA&y=7r3EuvuE3f///////////w&z=CR4FE/t8Dg&ow=0.801519&ox=-0.399709&oy=-0.430924&oz=0.110017&track=Sol:Neptune:Triton&select=Sol:Neptune:Triton&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) () 
-------------------------------------
Neptune117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 N 1"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-17), 60, 5+14*17)

Neptune117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/2004 N 1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:2004%20N%201/2018-09-02T16:10:26.39526?x=oYgWZcA/&y=Yj7GsAz6/////////////w&z=Ur4h/l7Q/////////////w&ow=0.421835&ox=-0.382644&oy=-0.807469&oz=-0.153727&track=Sol:Neptune:2004%20N%201&select=Sol:Neptune:2004%20N%201&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			   
            end
        end
    end) () 
-------------------------------------
Neptune118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 2, 2+14*(gg-18), 60, 5+14*18)
-------------------------------------
Neptune119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("")) 
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-19), 60, 5+14*19)
-------------------------------------
Neptune120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9) 
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-20), 60, 5+14*20)
-------------------------------------
Neptune121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dwarf Planets:"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-21), 2, 5+14*21)
 -------------------------------------
 Neptune122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pluto.1930"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-22), 60, 5+14*22)
	
Neptune122Box.Action = (function()
    return 
        function()
           local obj = celestia:find("Sol/Pluto-Charon/134340 Pluto") 
           celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true) 
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)              
            end            
        end
    end) ()	
--------------------------------
Neptune123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Charon.1978"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-23),  60, 5+14*23)

Neptune123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Charon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000) 
            radians = math.rad(60)
            obs:setfov(radians)             
            end            
        end
    end) ()	
-------------------------------
Neptune124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Hydra.05"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-24),  60, 5+14*24)

Neptune124Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Hydra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)              
            end            
        end
    end) ()	
-------------------------------
Neptune125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Nix.05"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-25),  60, 5+14*25)

Neptune125Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Nix")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)              
            end            
        end
    end) ()	
-------------------------------
Neptune126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Kerberos.11"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-26),  60, 5+14*26)

Neptune126Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Kerberos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)              
            end            
        end
    end) () 	
--------------------------------
Neptune127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Styx.12"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-27),  60, 5+14*27)

Neptune127Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Styx")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)              
            end            
        end
    end) ()
---------------------------------
Neptune128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eris.05")) 
    :movable(false)
    :active(true)
    :attach(NeptuneFrame, 2, 2+14*(gg-28),  60, 5+14*28)

Neptune128Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Neptune129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)  
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Dysnomia.05"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-29),  60, 5+14*29)

Neptune129Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris/Dysnomia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)              
            end            
        end
    end) ()
--------------------------------------	
Neptune130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Makemake.05"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-30),  60, 5+14*30)

Neptune130Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Makemake")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()	
-----------------------------------	
Neptune131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)	
    :textpos("left")    
    :movetext(8, 9)
    :text(_("2015 136472 I"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-31),  60, 5+14*31)

Neptune131Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Makemake/2015 136472 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)              
            end            
        end
    end) ()
	-----------------------------
Neptune132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Haumea.03")) 
    :movable(false)
    :active(true)
    :attach(NeptuneFrame, 2, 2+14*(gg-32),  60, 5+14*32)

Neptune132Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-----------------------------------
Neptune133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Namaka.03"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-33),  60, 5+14*33)

Neptune133Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Namaka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Neptune134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)    
    :text(_("Hi'iaka.05"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-34),  60, 5+14*34)

Neptune134Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Hi'iaka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Neptune135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ceres.1801")) 
    :movable(false)
    :active(true)
    :attach(NeptuneFrame, 2, 2+14*(gg-35),  60, 5+14*35)

Neptune135Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Ceres")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()	
----------------------------------
Neptune136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-36), 60, 5+14*36)
	-------------------------------------
Neptune137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-37), 60, 5+14*37)
	-------------------------------------
Neptune138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-38), 60, 5+14*38)
-------------------------------------
Neptune139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-39), 60, 5+14*39)
-------------------------------------
Neptune140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
	:attach(NeptuneFrame, 2, 2+14*(gg-40), 60, 5+14*40)
-------------------------------------
Neptune141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
	:attach(NeptuneFrame, 2, 2+14*(gg-41), 60, 5+14*41)	

	--===================
Neptune201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
     :text(_("d=km"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-1), 2, 5+14*1)
-------------------------------------
Neptune202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~49528"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-2), 2, 5+14*2)
-------------------------------------
Neptune203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30,4"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-3), 2, 5+14*3)
------------------------------------- 
Neptune204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~204"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-4), 2, 5+14*4)
-------------------------------------
Neptune205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~62"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-5), 2, 5+14*5)
--------------------------------------
Neptune206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~180"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-6), 2, 5+14*6)
-------------------------------------
Neptune207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~42"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-7), 2, 5+14*7)
-------------------------------------
Neptune208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~208"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-8), 2, 5+14*8)
--------------------------------------
Neptune209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~96"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-9), 2, 5+14*9)
--------------------------------------
Neptune210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~340"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------
Neptune211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~60"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-11), 2, 5+14*11)
--------------------------------------
Neptune212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~436"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Neptune213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~38"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-13), 2, 5+14*13)
--------------------------------------
Neptune214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~44"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-14), 2, 5+14*14)
--------------------------------------
Neptune215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~108"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------
Neptune216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2707"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Neptune217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-17), 2, 5+14*17)
-------------------------------------
Neptune218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("=14"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
Neptune219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-19), 3, 5+14*19)
-------------------------------------
Neptune220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-20), 2, 5+14*20)
-------------------------------------
Neptune222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~2380"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-22), 2, 5+14*22)
--------------------------------------
Neptune223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1212"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-23), 2, 5+14*23)
-------------------------------------
Neptune224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~65"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-24), 2, 5+14*24)
--------------------------------------
Neptune225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-25), 2, 5+14*25)
--------------------------------------
Neptune226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~19"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-26), 2, 5+14*26)
-------------------------------------
Neptune227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~16"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-27), 2, 5+14*27)
-------------------------------------
Neptune228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~2326"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-28), 2, 5+14*28)
-------------------------------------
Neptune229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~700"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-29), 2, 5+14*29)
-------------------------------------
Neptune230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1434"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-30), 2, 5+14*30)
-------------------------------------
Neptune231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~375"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-31), 2, 5+14*31)
-------------------------------------
Neptune232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~2322"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-32), 2, 5+14*32)
-------------------------------------
Neptune233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~160"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-33), 2, 5+14*33)
-------------------------------------
Neptune234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~320"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Neptune235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~965"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-35), 2, 5+14*35)
-------------------------------------
Neptune236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-36), 2, 5+14*36)
-------------------------------------
Neptune237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-37), 2, 5+14*37)
-------------------------------------
Neptune238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("")) 
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-38), 2, 5+14*38) 
-------------------------------------
Neptune239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-39), 2, 5+14*39)
-------------------------------------
Neptune240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-40), 2, 5+14*40)
-------------------------------------
Neptune241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 112, 2+14*(gg-41), 2, 5+14*41)	